Training Course Professional

Quantum-Safe Archive Integrity for Long-Form Media and Cultural Heritage

Securing long-duration media archives against quantum attack: signing schemes, integrity verification, and migration.

Full day (6 hours)
Certificate on completion

Proud to recommend our expert members

Qrypto Cyber
Eclypses
Arqit
QuantBond
Krown
Applied Quantum
Quantum Bitcoin
Venari Security
QuStream
BHO Legal
Census
QSP
IONQ - ID Quantique
Patero
Entopya
Belden
Atlant3D
Zenith Studio
Qudef
Aries Partners
GQI
Upperside Conferences
Austrade
Arrise Innovations
CyberRST
Triarii Research
QSysteme
WizzWang
DeepTech DAO
Xyberteq
Viavi
Entrust
Qsentinel
Nokia
Gopher Security
Quside
QIZ
Global Quantum Intelligence
Qrypto Cyber
Eclypses
Arqit
QuantBond
Krown
Applied Quantum
Quantum Bitcoin
Venari Security
QuStream
BHO Legal
Census
QSP
IONQ - ID Quantique
Patero
Entopya
Belden
Atlant3D
Zenith Studio
Qudef
Aries Partners
GQI
Upperside Conferences
Austrade
Arrise Innovations
CyberRST
Triarii Research
QSysteme
WizzWang
DeepTech DAO
Xyberteq
Viavi
Entrust
Qsentinel
Nokia
Gopher Security
Quside
QIZ
Global Quantum Intelligence

Course Overview

Technical workshop on quantum-safe archive integrity for broadcast archives, film preservation, and cultural heritage collections. Covers hash-based signature schemes (XMSS, LMS, SLH-DSA) for long-term document integrity, cryptographic timestamping under PQC, OAIS reference model integration, and migration strategies for 50-100 year retention obligations.

Curriculum

Course content is structured into sessions below. Each session is configurable to your organisation's environment, threat model, and objectives.

# Session Topics
1 Archive Cryptographic Dependencies Where asymmetric cryptography sits in digital preservation
2 Hash-Based Signature Schemes for Long-Term Integrity XMSS, LMS, and SLH-DSA for archival contexts
  • Stateful hash-based signatures (XMSS RFC 8391, LMS RFC 8554): security guarantees, state management complexity, and maximum signature counts for archival workloads
  • SLH-DSA (FIPS 205): stateless hash-based signatures eliminating state management risk, with trade-offs in signature size (~8-17 KB) and signing speed
  • ML-DSA (FIPS 204) versus SLH-DSA for archive integrity: lattice-based speed advantage versus hash-based conservative security assumption for multi-decade retention
Break
3 Cryptographic Timestamping and OAIS Integration Re-stamping and preservation metadata under PQC
  • RFC 3161 timestamp authority migration: transitioning TSA signing keys to PQC algorithms and re-stamping existing timestamp chains without breaking validity
  • OAIS reference model mapping: integrating PQC signatures into Archival Information Package structure, fixity checking, and Preservation Description Information
  • PREMIS metadata: recording algorithm transitions, re-signing events, and maintaining cryptographic provenance chains across preservation system migrations
4 Re-Signing Strategies at Scale Migrating existing collections with millions of objects
  • Batch re-signing architecture: parallel signature generation, hash tree approaches, and incremental migration for collections exceeding 10 million objects
  • Hybrid signature strategies during transition: dual classical+PQC signatures maintaining backward compatibility with existing verification infrastructure
  • Fixity verification during migration: ensuring no integrity loss during the re-signing process and maintaining audit trails
Break
5 Regulatory and Standards Landscape ETSI, eIDAS, and national archive requirements
  • ETSI TS 119 312 (cryptographic suites for electronic signatures): PQC algorithm adoption timeline and transition requirements
  • EU eIDAS trust services: qualified electronic signature and qualified timestamp requirements under PQC transition
  • UK National Archives digital preservation policy and NIST SP 800-227 (PQC migration guidelines) applicability to cultural heritage
6 Migration Planning Workshop Building your archive PQC migration roadmap
  • Prioritisation framework: highest-risk collections first (legally significant, evidential, long-retention), then systematic migration of remaining holdings
  • Vendor landscape: archive management system PQC readiness (Preservica, Archivematica, Rosetta) and timestamp authority PQC migration paths
  • Budget and resource estimation for re-signing operations at your collection scale
7 Q&A and Migration Planning

Designed and Delivered By

Training courses are designed and delivered by QSECDEF in collaboration with subject specialists. All instructors have direct experience in quantum technologies and security.

QD

Quantum Security Defence

Course design and delivery

QSECDEF brings expertise in post-quantum cryptography, quantum computing strategy, and defence-grade security assessment. Our membership spans 900+ organisations and 1,500+ professionals working at the intersection of quantum technologies and critical infrastructure security.

Enquire About This Course

Get in touch to discuss scheduling, group pricing, and how this course can be configured to your organisation's needs.

Contact Us